<?php

namespace App\Mail\EventReportMails;

use App\Models\Event;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;

class PaymentMethodsExhaustedMail extends Mailable
{
    public function __construct(
        private Event $event,
    )
    {
        //
    }

    /**
     * Get the message envelope.
     */
    public function envelope(): Envelope
    {
        $subject = sprintf(
            'Anmeldung deaktiviert – keine Zahlungsmethode verfügbar für %1$s',
            $this->event->name
        );

        return new Envelope(
            subject: $subject,
        );
    }

    /**
     * Get the message content definition.
     */
    public function content(): Content
    {
        return new Content(
            view: 'emails.events.payment_methods_exhausted',
            with: [
                'eventTitle' => $this->event->name,
            ],
        );
    }
}
